Subject: Re: bug#44649: 1.2.0rc0 tarball includes guix-daemon.cil.in

From: Marius Bakke <[email-masked]>
Date: Sun, 15 Nov 2020 23:26:54 +0100

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Daniel Brooks <[email-masked]> skribis:
>
>> It should instead include the guix-daemon.cil file which was built from
>> it. The .in file has unsubstituted variabels in it which make it useless
>> as an SELinux policy.
>
> Yes, but running “./configure” gives you the ‘etc/guix-daemon.cil’ for
> your configuration.  What’s wrong with that?
>
> Marius: common practice is to not include instantiated templates; we
> wouldn’t use templates in the first place if contents were always the
> same.  :-)

Yes indeed; somehow I thought the bootstrapped tarball also had run
"configure" with the common options, but obviously that's incorrect.

Closing this bug, as there is no reason to special-case this one file.